<div ui-view>
	<div class="container formulario">
		<form name="formFixo" novalidate>

			<div class="row">
				<section>
					<div class="wizard">
						<div class="wizard-inner">
							<div class="connecting-line"></div>
							<ul class="nav nav-tabs" role="tablist">

								<li role="presentation" ng-class="{'active': step == 1}" ng-click="verificaPassoAtivo(1)">
									<a data-toggle="tab" aria-controls="step1" role="tab" title="{{'novoanuncio.oqqueranunciar' | translate}}">
										<span class="round-tab">
											<i class="glyphicon glyphicon-list-alt"></i>
										</span>
									</a>
								</li>

								<li ng-class="{'active': step == 2,'disabled': !passo2}" ng-click="verificaPassoAtivo(2) ? passo2 = true: passo2= false">
									<a title="Step 2">
										<span class="round-tab">
											<i class="glyphicon glyphicon-pencil"></i>
										</span>
									</a>
								</li>

								<li ng-class="{'active': step == 3,'disabled': !passo3}" ng-click="verificaPassoAtivo(3) ? passo3 = true: passo3 = false">
									<a title="Complete">
										<span class="round-tab">
											<i class="glyphicon glyphicon-map-marker"></i>
										</span>
									</a>
								</li>


								<li ng-class="{'active': step == 4,'disabled': !passo4}" ng-click="verificaPassoAtivo(4) ? passo4 = true: passo4 = false">
									<a title="Complete">
										<span class="round-tab">
											<i class="fa fa-check"></i>
										</span>
									</a>
								</li>


							</ul>
						</div>
						<div class="tab-content">
							<div id="step1" class="passos" ng-if="step == 1">
								<h2 class="azul">{{'novoanuncio.primeiroPasso' | translate}}, Para quê?</h2>
								<h3>{{'novoanuncio.oqdesejaanunciar' | translate}}</h3>

								<div class="row">
									<div class="list-group wizard-menu col-md-3" ng-repeat="ocupacao in ocupacoes">
										<a ng-repeat="value in ocupacao.itens" class="list-group-item  step-1-menu" ng-class="{active: value.ativo}" ng-click="selecionarSubocupacoes(value, ocupacao)" ng-repeat="value in ocupacao.itens">
											<p class="list-group-item-heading">
												<b>{{value.descricao}}</b>
											</p>
										</a>
									</div>
								</div>

								<ul class="list-inline pull-right">
									<li>
										<button type="button" class="btn-servant" ng-click="verificaPassoAtivo(2)">{{'proximo' | translate}}</button>
									</li>
								</ul>
							</div>

							<div class="passos" id="step2" ng-if="step == 2" ng-init="anuncio.telefone = usuarioLogado.telefone; anuncio.email = usuarioLogado.email">
								<h2 class="azul">{{'novoanuncio.segundoPasso' | translate}}</h2>
								<h3>{{'novoanuncio.personalize' | translate}}</h3>

								<div class="row">
									<div class="col-md-11">
										<label>{{'novoanuncio.titulo' | translate}}</label>
										<ng-quill-editor ng-model="orcamento.pedido" name="pedido" id="pedido" toolbar="true" link-tooltip="true" image-tooltip="true" toolbar-entries="fonte size bold list bullet italic underline strike align color background link image" editor-required="true" required="true" error-class="input-error"></ng-quill-editor>
										<div ng-show="formFixo.$submitted || formFixo.pedido.$touched">
											<div ng-show="formFixo.pedido.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>
								</div>

								<ul class="list-inline pull-right">
									<li>
										<button type="button" class="btn-servant-branco" ng-click="verificaPassoAtivo(step - 1)">{{'voltar' | translate}}</button>
									</li>
									<li>
										<button type="button" class="btn-servant" ng-click="validaForm(3)">{{'proximo' | translate}}</button>
									</li>
								</ul>
							</div>



							<div class="passos" ng-if="step == 3" id="complete">
								<h2 class="azul">{{'novoanuncio.ultimopasso' | translate}}</h2>
								<h3>{{'novoanuncio.msgmapa' | translate}}</h3>
								<p class="azul">{{'novoanuncio.comousarmapa' | translate}}</p>


								<div class="wrapper">

									<div class="col-md-2">
										<label>{{'novoanuncio.cep' | translate}}</label>
										<input type="text" class="form-control" placeholder="{{'novoanuncio.cep' | translate}}" required ng-model="orcamento.endereco.cep" mask="99999-999" name="cep" id="cep" ng-blur="buscarCep()">
										<div ng-show="formFixo.$submitted || formFixo.cep.$touched">
											<div ng-show="formFixo.cep.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>

									<div class="col-md-7">
										<label>{{'novoanuncio.endereco' | translate}}</label>
										<input type="text" class="form-control" maxlength="40" placeholder="{{'novoanuncio.endereco' | translate}}" required ng-model="orcamento.endereco.endereco" name="endereco" id="endereco">
										<div ng-show="formFixo.$submitted || formFixo.endereco.$touched">
											<div ng-show="formFixo.endereco.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>

									<div class="col-md-3">
										<label>{{'novoanuncio.bairro' | translate}}</label>
										<input type="text" class="form-control" maxlength="25" placeholder="{{'novoanuncio.bairro' | translate}}" required ng-model="orcamento.endereco.bairro" name="bairro" id="bairro">
										<div ng-show="formFixo.$submitted || formFixo.bairro.$touched">
											<div ng-show="formFixo.bairro.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>

									<div class="col-md-1" ng-init="carregarUfs()">
										<label for="uf">{{'novoanuncio.uf' | translate}}</label>
										<select class="form-control" id="uf" name="uf" ng-model="view.uf">
											<option ng-repeat="uf in view.ufs" ng-value="uf.value">{{uf.id}}</option>
										</select>
										<div ng-show="formFixo.$submitted || formFixo.uf.$touched">
											<div ng-show="formFixo.uf.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>

									<div class="col-md-4">
										<label for="municipio">{{'novoanuncio.cidade' | translate}}</label>
										<select class="form-control" id="municipio" name="municipio" ng-model="orcamento.endereco.cidade.id" ng-options='municipio.id as municipio.nome for municipio in view.munUf[view.uf].municipios'>
										</select>
										<div ng-show="formFixo.$submitted || formFixo.municipio.$touched">
											<div ng-show="formFixo.municipio.$error.required" class="alert alert-danger">{{'campoobrigatorio' | translate}}.</div>
										</div>
									</div>

									<div map-lazy-load="https://maps.google.com/maps/api/js?key=AIzaSyDPz1Rk7ZtKFBc8OivBUfIMJYcdtR1kg6E">
										<ng-map zoom="15" center="current" on-click="selecionarLocal()"> <marker ng-repeat="pos in view.markers" position="{{pos.lat}}, {{pos.lng}}" animation="Animation.DROP"></marker> </ng-map>
									</div>

									<p ng-show="view.markers[0].lat">
										<b>Latitude:</b> {{view.markers[0].lat}} <b>Longitude:</b> {{view.markers[0].lng}}
									</p>


									<ul class="list-inline pull-right">
										<li>
											<button type="button" class="btn-servant-branco" ng-click="verificaPassoAtivo(step - 1)">{{'voltar' | translate}}</button>
										</li>
										<li>
											<button type="button" class="btn-servant" ng-click="validaForm(4)">{{'proximo' | translate}}</button>
										</li>
									</ul>

								</div>

							</div>

							<div class="passos" ng-if="step == 4" id="complete">


								<h2 class="azul">Confira os dados da sua solicitação:</h2>
								<div class="clearfix"></div>
								<h3>{{orcamento.ocupacao.pai ? ' > ' + orcamento.ocupacao.pai.descricao + ' > ' + orcamento.ocupacao.descricao : orcamento.ocupacao.descricao }}</h3>
								<p>Pedido:</p>
								<i>
									<div class="semcss" ng-bind-html="orcamento.pedido"></div>
								</i>


								<ul class="list-inline pull-right">
									<li>
										<button type="button" class="btn-servant-branco" ng-click="verificaPassoAtivo(step - 1)">{{'voltar' | translate}}</button>
									</li>
									<li>
										<button type="button" class="btn-servant" ng-click="solicitarOrcamento()">Tudo certo, enviar</button>
									</li>
								</ul>

							</div>
							<div class="clearfix"></div>


						</div>
					</div>
				</section>
			</div>
		</form>
	</div>
</div>
